Search found 273 matches

Go to advanced search

by chakkree
Wed Apr 24, 2019 2:16 pm
Forum: Draft, Arch & BIM
Topic: rebar based on wire
Replies: 7
Views: 144

Re: rebar based on wire

When I use python macro to create rebar in all beam, it takes a long time to generate rebars, and it has a file's size about 5.05 MB.(Not included rebars in columns, footings, and slab)

Rebar_in_Home01.png
Rebar_in_Home01.png (1011.33 KiB) Viewed 45 times
by chakkree
Wed Apr 24, 2019 7:14 am
Forum: Draft, Arch & BIM
Topic: rebar based on wire
Replies: 7
Views: 144

Re: rebar based on wire

Is there a Python method to make a Rebar out of a wire? I use pivy.coin to represent rebar shape. This code for create U-Shape rebar. Rebar_PivyCoin_01.png TestRebarPivy01.py ''' Test Create rebars by pivy.coin 24 Apr 2019 Version: 0.19.16502 (Git) Python version: 3.6.8 ''' import os from pivy impo...
by chakkree
Sun Apr 21, 2019 11:42 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 53
Views: 2422

Re: Automate Reinforcement GSoC proposal

Test "SingleTie.singleTieColumn1Reinforcement" in Simple Structure, with LShape rebar in pier. TestRebar_in_Column_06.png TestRebar_in_Column_07.png """ 21 เมย 2562 / 21 Apr 2019 Version: 0.19.16488 (Git) Python version: 3.6.6 """ import FreeCAD import Arch , Draft import Part from FreeCAD import Ve...
by chakkree
Sat Apr 20, 2019 12:51 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 53
Views: 2422

Re: Automate Reinforcement GSoC proposal

Test "SingleTie.singleTieColumn1Reinforcement" TestRebar_in_Column_LShape_05.png """ 20 Apr 2019 Version: 0.19.16488 (Git) Python version: 3.6.6 """ import Arch from ColumnReinforcement import SingleTie s = Arch.makeStructure(length=200.0,width=200.0,height=3000.0) s.ViewObject.Transparency=80 App.a...
by chakkree
Thu Apr 18, 2019 8:28 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 53
Views: 2422

Re: Automate Reinforcement GSoC proposal

Sorry!, I mean to say z in a coordinate vector of DWire. Beam_Rebar_Based_DWire_01.png """ 18 Apr 2019 Version: 0.19.16488 (Git) Python version: 3.6.6 """ import FreeCAD import Arch import Draft from FreeCAD import Vector concrete = FreeCAD.ActiveDocument.addObject("Part::Box","concrete") concrete.L...
by chakkree
Thu Apr 18, 2019 6:17 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 53
Views: 2422

Re: Automate Reinforcement GSoC proposal

In same column, - Firstly, I created Stirrups by selecting "Face6" of column. Then set "MapMode" to "FlatFace". It moves stirrups out of structure as in below image: Stirrup.png Relatd FreeCAD File: Column.FCStd - After that I created Stirrups by selecting "Face5", which is opposite to Face6, and t...
by chakkree
Tue Apr 16, 2019 4:59 pm
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 53
Views: 2422

Re: Automate Reinforcement GSoC proposal

If use DWire for the base of Rebar, I attach DWire to face of structure object and hack some line in ArchRebar.py. Rebar will be move and rotate with a host like a sketcher attach to the face of the structure. look at this topic, DWire as rebar's base TestRebar_in_Column_WithRotation_03.png TestReba...
by chakkree
Tue Apr 16, 2019 10:30 am
Forum: Open discussion
Topic: Automate Reinforcement GSoC proposal
Replies: 53
Views: 2422

Re: Automate Reinforcement GSoC proposal

Test "singleTieColumn1Reinforcement" in simple structure. TestRebar_in_Column_01.png TestRebar_in_Column_02.png """ 16 เมย 2562 / 16 Apr 2019 Version: 0.19.16267 (Git) Python version: 3.6.6 """ import FreeCAD import Arch , Draft import Part from FreeCAD import Vector from math import radians xList =...
by chakkree
Fri Apr 12, 2019 6:01 am
Forum: Draft, Arch & BIM
Topic: Beam,Column,Footing commands ready to test
Replies: 18
Views: 612

Re: Beam,Column,Footing commands ready to test

I will redesign old sourcecode for pile, to use footing structure for host like rebar.

Pile Object
by chakkree
Thu Apr 11, 2019 1:35 pm
Forum: Draft, Arch & BIM
Topic: Beam,Column,Footing commands ready to test
Replies: 18
Views: 612

Re: Beam,Column,Footing commands ready to test

FATHI RAMMAH wrote:
Thu Apr 11, 2019 1:19 pm

good,did you start writing?
if isolated footing (thickness ,bearing area)
if pile (the cap pile area,piles surface area )
Still in design process,and try to learn from ArchPrecast.py for coding. At first, I will be coding only RectangularFooting without GUI for test concept.

Go to advanced search